package adf.sample.view.bean;

import oracle.adf.model.binding.DCBindingContainer;
import oracle.adf.view.rich.component.rich.data.RichTable;
import oracle.adf.view.rich.context.AdfFacesContext;

import oracle.binding.OperationBinding;

import oracle.jbo.uicli.binding.JUCtrlHierBinding;

import org.apache.myfaces.trinidad.model.CollectionModel;


public class EmployeesBackingBean {
    private RichTable employeesTable;

    public EmployeesBackingBean() {
        super();
    }

  public void reQueryEmployeestable(oracle.jbo.domain.Number deptId){
      //set the bind variable and query the collection to display
      //the employees in the selected department
      CollectionModel model = (CollectionModel) this.getEmployeesTable().getValue();
      JUCtrlHierBinding tableBinding = (JUCtrlHierBinding) model.getWrappedData();
      DCBindingContainer bindings = tableBinding.getBindingContainer();
      OperationBinding setDepartmentIdVar = (OperationBinding)bindings.get("setdepartmentIdVar");
      setDepartmentIdVar.getParamsMap().put("value", deptId);
      setDepartmentIdVar.execute();
      tableBinding.executeQuery();
      //refresh the table to show the result of the query
      AdfFacesContext adfFacesCtx = AdfFacesContext.getCurrentInstance();
      adfFacesCtx.addPartialTarget(this.getEmployeesTable());
  }

    public void setEmployeesTable(RichTable employeesTable) {
        this.employeesTable = employeesTable;
    }

    public RichTable getEmployeesTable() {
        return employeesTable;
    }
}
