package adf.sample.view.bean;

import javax.el.ELContext;
import javax.el.ExpressionFactory;

import javax.el.MethodExpression;

import javax.faces.application.Application;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

import javax.faces.event.ActionEvent;

import javax.faces.event.ActionListener;

import oracle.adf.model.BindingContext;
import oracle.adf.view.faces.bi.event.ClickEvent;

import oracle.adf.view.faces.bi.event.ClickListener;

import oracle.binding.BindingContainer;

import oracle.jbo.uicli.binding.JUEventBinding;


public class BrowseDepartmentsBackingBean {
    public BrowseDepartmentsBackingBean() {
        super();
    }

    public void onGraphClick(ClickEvent clickEvent) {
        invokeDefaultClickEvent("#{bindings.allDepartmentsWithEmployees.graphModel.processClick}", 
                                clickEvent);
        
      BindingContext bctx = BindingContext.getCurrent();
      BindingContainer bindings = bctx.getCurrentBindingsEntry();
      JUEventBinding eventBinding = null;
        //get a handle to the eventBinding
        eventBinding = (JUEventBinding) bindings.get("ChartDrillEvent");
        ClickListener cl = (ClickListener)eventBinding.getListener();
        cl.processClick(clickEvent);        
    }
    
    private void invokeDefaultClickEvent(String elString, ClickEvent ce){
      FacesContext fctx = FacesContext.getCurrentInstance();
      ELContext elctx = fctx.getELContext();
      Application app = fctx.getApplication();
      ExpressionFactory elfactory = app.getExpressionFactory();
      MethodExpression me = elfactory.createMethodExpression(
                          elctx, elString, Object.class, new Class[]{ClickEvent.class});
      me.invoke(elctx,new Object[]{ce});      
    }
}
